package EditorPage;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
######################################################################
# 記事編集ページ設定モジュール
# EditorPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id = 'editor';    # データキー
    $preference::name
        = '記事編集ページレイアウト';    # 設定パネル名
    $preference::title
        = '記事編集ページの表示について設定します。';
}

######################################################################
#sub import {
BEGIN {
    if ( !$default::subdivided
        || ( $default::subdivided && defined $main::c && $main::c ne '' ) )
    {

        #クラス登録
        Common::class_register( 'b020', 'EditorPage' );

        #ツール登録
        $setting::sub_jump_menu{'page'}{'b020'} = '記事編集ページ';
        $setting::selected_jump_menu{'b020'} = 'b010'
            ; #サブメニューがあるときメインメニューのデフォルトキー

        $preference::page{'b020'} = 'editor';

    }
}

1;
