package AjaxSetUp;
require CMONOS::CGI_Lib::Base;
@ISA = qw(Base);
use strict;
use utf8;
######################################################################
# Ajaxと連携するCGIに共通する処理を行うモジュール
# AjaxSetUp.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
sub print_response ($$) {
    my ( $this, $data ) = @_;
    binmode STDOUT, ":utf8";
    $this->print_http_header(
        'application/x-www-form-urlencoded; charset=utf-8');
    print(( !defined $data ) ? ''
        : ( !ref $data )          ? $data
        : ( ref $data eq 'HASH' ) ? $this->url_encoded_query($data)
        :                           $$data );
}

sub unauthorized_alert ($) {
    my $this = shift;
    binmode STDOUT, ":utf8";
    print 'Content-Type: text/plain', "\x0A\x0A", '401';
    exit;
}

sub error404 ($;$) {
    my ( $this, $exit ) = @_;
    binmode STDOUT, ":utf8";
    print 'Content-Type: text/plain', "\x0A\x0A", '404';
    binmode STDOUT;
    exit if !$exit || $exit ne 'no';
}

1;
