package SocialBookmark;
require CMONOS::HomePageMaker::Field::HMUserGeneratedField;
require CMONOS::CGI_Lib::Field::SocialBookmarkBase;
@ISA = qw(HMUserGeneratedField SocialBookmarkBase);
use strict;
use utf8;
######################################################################
# フィールド定義モジュール（ソーシャルブックマーク）
# SocialBookmark.pm 0.9
# Copyright (C) 2008-2018 CMONOS Co. Ltd.
#
#　support@cmonos.jp
#　http://cmonos.jp/
#  最終更新日：2008-01-08
######################################################################
sub get_title_field_id ($) {
    my $this = shift;
    return $this->{'field_for'}->{'title'};
}

sub get_spare_title ($) {
    my $this = shift;
    return (   $main::p
            && $main::p ne 'i'
            && defined $article::title
            && $article::title ne '' )
        ? $article::title
        : ($default::date) ? $this->date( substr( $main::n, 0, 8 ),
        0, $setting::general{'datetype'} )
        : $main::n;
}

######################################################################
#sub import {
BEGIN {
    Field::class_register( 'ug_sbm', 'SocialBookmark',
        'ソーシャルブックマーク' );
}

1;
