package MailerPage;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
no warnings qw(once);
######################################################################
# メール配信ページ設定モジュール
# MailerPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id = 'mail';    # データキー
    $preference::name
        = 'メール配信ページレイアウト';    # 設定パネル名
    $preference::title
        = 'メール配信ページのレイアウトについて設定します。';
}

######################################################################
#sub import {
BEGIN {
    #クラス登録
    Common::class_register( 't030', 'MailerPage' );

    #ツール登録
    $setting::sub_jump_menu{'page'}{'t030'} = 'メール配信ページ';
    $setting::selected_jump_menu{'t030'} = 't000'
        ; #サブメニューがあるときメインメニューのデフォルトキー
    $preference::page{'t030'} = 'mail';
}

1;
