package IndexPage;
require CMONOS::HomePageMaker::Tools::HomePage;
@ISA = qw(HomePage);
use strict;
use utf8;
######################################################################
# インデックスページ設定モジュール
# IndexPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id = 'index' if !defined $preference::id;   # データキー
    $preference::name = 'インデックスページレイアウト'
        if !defined $preference::name;    # 設定パネル名
    $preference::title
        = 'インデックスページのレイアウトについて設定します。'
        if !defined $preference::title;
    $preference::ssi = 1 if !$preference::ssi;    #SSIを利用可能
    $preference::static_page = 1
        if !$preference::static_page;             #HTMLファイル
}

######################################################################
#sub import {
BEGIN {
    if ( !$default::subdivided
        || ( $default::subdivided && defined $main::c && $main::c ne '' ) )
    {

        #クラス登録
        Common::class_register( 'H001', 'IndexPage' );

        #ツール登録
        $setting::sub_jump_menu{'page'}{'H001'}
            = 'インデックスページ'
            if !defined $setting::sub_jump_menu{'page'}{'H001'};
        $setting::selected_jump_menu{'H001'} = 'H010'
            if !defined $setting::selected_jump_menu{'H001'}
            ; #サブメニューがあるときメインメニューのデフォルトキー
        $preference::page{'H001'} = 'index'
            if !defined $preference::page{'H001'};
    }
}

1;
