package RPPage;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
######################################################################
# OpenID ログインページ設定モジュール
# RPPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id = 'rp';    # データキー
    $preference::name
        = 'OpenID ログインページレイアウト';  # 設定パネル名
}

######################################################################
# 設定パネル
sub print_sub_preference_panel ($$$) {
    my ( $this, $id, $key ) = @_;
    $this->print_close_button_setting(1);
}

######################################################################
# 設定チェック
sub is_valid_setting ($) {
    my $this = shift;
    $main::data{'closeButtonDisabled'} = ''
        if !defined $main::data{'closeButtonDisabled'}
        || $main::data{'closeButtonDisabled'} eq '';
    return;
}

######################################################################
#sub import {
BEGIN {
    if ($env::openid_enabled) {

        #クラス登録
        Common::class_register( 'r001', 'RPPage' );

        #ツール登録
        $setting::sub_jump_menu{'page'}{'r001'}
            = 'OpenID ログインページ'
            if !defined $setting::sub_jump_menu{'page'}{'r001'};
        $setting::selected_jump_menu{'r001'} = 'r000'
            if !defined $setting::selected_jump_menu{'r001'}
            ; #サブメニューがあるときメインメニューのデフォルトキー
        $preference::page{'r001'} = 'masterindex'
            if !defined $preference::page{'r001'};
    }
}

1;
