package SalesViewerPage;
require CMONOS::TableMaker::Tools::ViewerPage;
@ISA = qw(ViewerPage);
use strict;
use utf8;
######################################################################
# 売り上げ表示ページ設定モジュール
# SalesViewerPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
# 最終更新日：2012-02-23
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    no warnings qw(once);
    my $this = shift;
    $preference::id = 'sales';    # データキー
    $preference::name
        = '売り上げ表示ページレイアウト';   # 設定パネル名
    $preference::title
        = '売り上げ表示ページのレイアウトについて設定します。';
}

######################################################################
# 設定パネル
sub print_sub_sub_preference_panel ($$$) {
    my ( $this, $id, $key ) = @_;
}

######################################################################
#sub import {
BEGIN {
    no warnings qw(once);

    #クラス登録
    Common::class_register( 'c005', 'SalesViewerPage' );

    #ツール登録
    $setting::sub_jump_menu{'page'}{'c005'} = '売り上げ表示ページ';
    $setting::selected_jump_menu{'c005'} = 't000'
        ; #サブメニューがあるときメインメニューのデフォルトキー

    $preference::page{'c005'} = 'sales';
}

1;
