package VCard2Viewer;
require CMONOS::TableMaker::VCardViewer;
@ISA = qw(VCardViewer);
use strict;
use utf8;
######################################################################
# vCardダウンロードモジュール
# VCard2Viewer.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# コンテンツタイプ
sub print_viewer_header ($) {
    my $this = shift;
    use Fcntl qw(:DEFAULT);
    eval 'use ' . $env::dbm_file . ';';
    $main::u = 0;
    binmode STDOUT;
    $this->print_http_header('text/x-vcard');
}

######################################################################
# コンテンツヘッダ
sub print_contents_header ($) {
    my $this = shift;
    $this->field_to_vcard;
    return;
}

sub print_vcard_header ($) {
    my $this = shift;
    $this->print_vcard( 'VERSION', '2.1' );

#$this->print_vcard('TZ',$this->{'vcard-TZ'}) if defined $this->{'vcard-TZ'} && $this->{'vcard-TZ'};
}

sub _print_vcard ($$$) {
    my ( $this, $key, $value ) = @_;
    print $this->jcode_convert( \$key, 'sjis', 'utf8' );
    print "\x3A";
    print $this->jcode_convert( \$value, 'sjis', 'utf8' );
    print "\x0D\x0A";
}

######################################################################
# クラス登録
#sub import {
BEGIN {
    no warnings qw(once);

    #設定種キー設定
    $setting::key = 'none';    #ページ設定キー

    #デフォルトキー
    $main::k = 'vcard2' if !defined $main::k || !$main::k;

    #クラス登録
    Common::class_register( 'vcard2', 'VCard2Viewer' );
}

1;
