package SearchPage;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
######################################################################
# 検索結果表示ページ設定モジュール
# SearchPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id = 'search';    # データキー
    $preference::name
        = '郵便番号検索ページレイアウト';   # 設定パネル名
}

######################################################################
# 設定パネル
sub print_sub_preference_panel ($;$$) {
    my ( $this, $id, $key ) = @_;
    $this->print_close_button_setting;
}

######################################################################
#sub import {
BEGIN {
    #クラス登録
    Common::class_register( 'r000', 'SearchPage' );

    #ツール登録
    $setting::jump_menu{'r000'}
        = '郵便番号検索ページレイアウト';
}

1;
